AppServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.AppServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface AppServer

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  ApacheServer, CICSRegion, CIMOM, CitrixServer, DatabaseServer, Db2AdminServer, Db2Instance, Db2Server, DB2Subsystem, DominoServer, ExchangeProtocolVirtualServer, ExchangeServer, GenericAppServer, GenericDatabaseServer, GenericJ2EEServer, GenericServerProcess, GenericWebServer, IBMHTTPServer, IIsWebService, IMSSubsystem, IPlanetProxyServer, IPlanetServer, J2EEServer, JavaServerProcess, JBossServer, LegacySystem, MQQueueManager, MQSubsystem, MySAPABAPApplicationServer, MySAPDb2Instance, MySAPJ2EEEngineInstance, MySAPJavaCentralSystem, MySAPOracleInstance, MySAPSqlServer, OracleAppHTTPServer, OracleAppJ2EEServer, OracleAppProcessManager, OracleInstance, ServerProcess, SMSSiteServer, SqlServer, SybaseServer, VCSHADServer, WebLogicAdminServer, WebLogicServer, WebServer, WebSphereDeploymentManager, WebSphereNodeAgent, WebSphereServer

    public interface AppServer

extends LogicalElement, ConfigurationItem

Represents a server program

Naming Rules:
  0="primarySAP,keyName" 1="managedSystemName"
Persistable:
  true
Table Name:
  APPSRVR
Top Level:
  true
Display Name:
  host,primarySAP

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`
`static int` | `RUNNING`
`static int` | `STOPPED`

Method Summary
`AppDescriptor[]` | `getAppDescriptors()`
`AppConfig[]` | `getConfigContents()`
`ConfigFile` | `getConfigFile()`
`SoftwareContainer[]` | `getContainers()`
`ExecutableFile` | `getExecutable()`
`java.lang.String` | `getExecutableName()`
`ComputerSystem` | `getHost()`
`java.lang.String` | `getKeyName()`
`SoftwareModule[]` | `getModules()`
`java.lang.String` | `getName()`
`BindAddress` | `getPrimarySAP()`
`ProcessPool[]` | `getProcessPools()`
`java.lang.String` | `getProductName()`
`java.lang.String` | `getProductVersion()`
`SoftwareResource[]` | `getResources()`
`SoftwareInstallation` | `getSoftwareInstallation()`
`int` | `getStatus()`
`java.lang.String` | `getVendorName()` e.g "IBM", "Microsoft", "Oracle", "BEA", "Sun Microsystems"
`ZReportFile[]` | `getZReportFiles()`
`boolean` | `hasAppDescriptors()`
`boolean` | `hasConfigContents()`
`boolean` | `hasConfigFile()`
`boolean` | `hasContainers()`
`boolean` | `hasExecutable()`
`boolean` | `hasExecutableName()`
`boolean` | `hasHost()`
`boolean` | `hasKeyName()`
`boolean` | `hasModules()`
`boolean` | `hasName()`
`boolean` | `hasPrimarySAP()`
`boolean` | `hasProcessPools()`
`boolean` | `hasProductName()`
`boolean` | `hasProductVersion()`
`boolean` | `hasResources()`
`boolean` | `hasSoftwareInstallation()`
`boolean` | `hasStatus()`
`boolean` | `hasVendorName()`
`boolean` | `hasZReportFiles()`
`void` | `setAppDescriptors(AppDescriptor[] ads)`
`void` | `setConfigContents(AppConfig[] contents)`
`void` | `setConfigFile(ConfigFile configFile)`
`void` | `setContainers(SoftwareContainer[] containers)`
`void` | `setExecutable(ExecutableFile file)`
`void` | `setExecutableName(java.lang.String s)`
`void` | `setHost(ComputerSystem host)`
`void` | `setKeyName(java.lang.String name)`
`void` | `setModules(SoftwareModule[] modules)`
`void` | `setName(java.lang.String name)`
`void` | `setPrimarySAP(BindAddress sap)`
`void` | `setProcessPools(ProcessPool[] processPools)`
`void` | `setProductName(java.lang.String s)`
`void` | `setProductVersion(java.lang.String s)`
`void` | `setResources(SoftwareResource[] res)`
`void` | `setSoftwareInstallation(SoftwareInstallation x)`
`void` | `setStatus(int status)`
`void` | `setVendorName(java.lang.String s)`
`void` | `setZReportFiles(ZReportFile[] x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

### RUNNING

    static final int RUNNING

See Also:
  Constant Field Values

### STOPPED

    static final int STOPPED

See Also:
  Constant Field Values

Method Detail

### getZReportFiles

    ZReportFile[] getZReportFiles()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="true"

### setZReportFiles

    void setZReportFiles(ZReportFile[] x)

### hasZReportFiles

    boolean hasZReportFiles()

### getVendorName

    java.lang.String getVendorName()
                                   throws AttributeNotSetException

  e.g "IBM", "Microsoft", "Oracle", "BEA", "Sun Microsystems"

  Throws:
    `AttributeNotSetException`

### setVendorName

    void setVendorName(java.lang.String s)

### hasVendorName

    boolean hasVendorName()

### getProductName

    java.lang.String getProductName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductName

    void setProductName(java.lang.String s)

### hasProductName

    boolean hasProductName()

### getProductVersion

    java.lang.String getProductVersion()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductVersion

    void setProductVersion(java.lang.String s)

### hasProductVersion

    boolean hasProductVersion()

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(int status)

### hasStatus

    boolean hasStatus()

### getPrimarySAP

    BindAddress getPrimarySAP()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setPrimarySAP

    void setPrimarySAP(BindAddress sap)

### hasPrimarySAP

    boolean hasPrimarySAP()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getKeyName

    java.lang.String getKeyName()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeyName

    void setKeyName(java.lang.String name)

### hasKeyName

    boolean hasKeyName()

### getExecutable

    ExecutableFile getExecutable()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExecutable

    void setExecutable(ExecutableFile file)

### hasExecutable

    boolean hasExecutable()

### getExecutableName

    java.lang.String getExecutableName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExecutableName

    void setExecutableName(java.lang.String s)

### hasExecutableName

    boolean hasExecutableName()

### getHost

    ComputerSystem getHost()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setHost

    void setHost(ComputerSystem host)

### hasHost

    boolean hasHost()

### getConfigFile

    ConfigFile getConfigFile()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setConfigFile

    void setConfigFile(ConfigFile configFile)

### hasConfigFile

    boolean hasConfigFile()

### getProcessPools

    ProcessPool[] getProcessPools()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"
  Containment Relationship:
    true

### setProcessPools

    void setProcessPools(ProcessPool[] processPools)

### hasProcessPools

    boolean hasProcessPools()

### getContainers

    SoftwareContainer[] getContainers()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setContainers

    void setContainers(SoftwareContainer[] containers)

### hasContainers

    boolean hasContainers()

### getConfigContents

    AppConfig[] getConfigContents()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### setConfigContents

    void setConfigContents(AppConfig[] contents)

### hasConfigContents

    boolean hasConfigContents()

### getModules

    SoftwareModule[] getModules()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="true"
  Containment Relationship:
    true

### setModules

    void setModules(SoftwareModule[] modules)

### hasModules

    boolean hasModules()

### getResources

    SoftwareResource[] getResources()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"
  Containment Relationship:
    true

### setResources

    void setResources(SoftwareResource[] res)

### hasResources

    boolean hasResources()

### getAppDescriptors

    AppDescriptor[] getAppDescriptors()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setAppDescriptors

    void setAppDescriptors(AppDescriptor[] ads)

### hasAppDescriptors

    boolean hasAppDescriptors()

### getSoftwareInstallation

    SoftwareInstallation getSoftwareInstallation()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="false"

### setSoftwareInstallation

    void setSoftwareInstallation(SoftwareInstallation x)

### hasSoftwareInstallation

    boolean hasSoftwareInstallation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD